Subject: Re: gcc3 patches
To: Manuel Bouyer <>
From: MLH <>
List: tech-pkg
Date: 02/25/2004 17:23:43
> On Wed, Feb 25, 2004 at 01:29:05PM -0600, MLH wrote:
> > Might one of you describe in a fair amount of detail exactly how
> > you get pkgsrc to work on solaris(8)? Until the move to gcc3 last
> The problem I had first was a circular dependancy:
> gcc3-gmake->some libs->libtool->gcc3
> To break this, you have to build gmake (and the dependancies) with some
> external compiler, then set the GCC variables in /etc/mk.conf,
> pkg_delete libtool and reinstall it. This time it will depend on
> gcc3-{c,c++,f77}. Once you have this, pkg_delete gmake and its dependancies,
> and reinstall it.
> The key here is to reinstall libtool, so that it will have the proper settings
> for gcc3. Reinstalling gettext-lib and libiconv (both required by gmake)
> will update their .la for the new libtool (I'm not sure if it's really needed).

Thanks for the info! That's likely some of my problems. I deleted
all the pkgs I had built earlier, cvs up'ed pkgsrc and bootstrap-pkgsrc
and rebuilt/reinstalled bootstrap-pkgsrc and started over :

mk.conf includes :

(What other gcc variables are needed?)

$ pkg_info
shlock-20020114     Shell utility to perform dot-locking
$ bmake
===> Checking for vulnerabilities in digest-20021220
/bin/sh: test: unknown operator -nt
*** Error code 1

bmake: stopped in /usr/pkgsrc/pkgtools/digest

So I can't even build digest now... (I built it earlier today with
a bootstrap-pkgsrc that was about two weeks old).

SunOS franklin 5.8 Generic_108528-13 sun4u sparc SUNW,Ultra-5_10
/usr/pkg/bin :
-r-xr-xr-x   1 root     root      133660 Feb 25 10:35 bmake
-rwxr-xr-x   3 root     other    1620784 Feb 25 10:43 cpio
-r-xr-xr-x   1 root     other    1995620 Feb 25 10:40 ftp
-rwxr-xr-x   1 root     other     121596 Feb 25 10:44 nbsed
-rwxr-xr-x   3 root     other    1620784 Feb 25 10:43 pax
-r-xr-xr-x   1 root     root        7956 Feb 25 16:59 shlock
-rwxr-xr-x   3 root     other    1620784 Feb 25 10:43 tar